OpenTTD Source: CYapfDestinationAnyDepotRailT< Types > Class Template Reference

OpenTTD Source 15.0-RC2

Public Types | Public Member Functions
CYapfDestinationAnyDepotRailT< Types > Class Template Reference
Inheritance diagram for CYapfDestinationAnyDepotRailT< Types >:

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
Tpf & | Yapf ()
| to access inherited path finder
bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
bool | PfDetectDestination (TileIndex tile, Trackdir)
| Called by YAPF to detect if node ends in the desired destination.
bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.
Public Member Functions inherited from CYapfDestinationRailBase
void | SetDestination (const Train *v, bool override_rail_type=false)
bool | IsCompatibleRailType (RailType rt)
RailTypes | GetCompatibleRailTypes () const

## Additional Inherited Members
Protected Attributes inherited from CYapfDestinationRailBase
RailTypes | compatible_railtypes

## Detailed Description

template<class Types>
class CYapfDestinationAnyDepotRailT< Types >

Definition at line 40 of file yapf_destrail.hpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfDestinationAnyDepotRailT< Types >::Key

key to hash tables

Definition at line 44 of file yapf_destrail.hpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfDestinationAnyDepotRailT< Types >::Node

this will be our node type

Definition at line 43 of file yapf_destrail.hpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfDestinationAnyDepotRailT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 42 of file yapf_destrail.hpp.

## Member Function Documentation

## ◆ PfCalcEstimate()

template<class Types >

bool CYapfDestinationAnyDepotRailT< Types >::PfCalcEstimate | ( | Node & | n | ) |
| inline

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::estimate

Definition at line 68 of file yapf_destrail.hpp.

## ◆ PfDetectDestination() [1/2]

template<class Types >

bool CYapfDestinationAnyDepotRailT< Types >::PfDetectDestination | ( | Node & | n | ) |
| inline

Called by YAPF to detect if node ends in the desired destination.

Definition at line 53 of file yapf_destrail.hpp.

References CYapfDestinationAnyDepotRailT< Types >::PfDetectDestination().

Referenced by CYapfDestinationAnyDepotRailT< Types >::PfDetectDestination().

## ◆ PfDetectDestination() [2/2]

template<class Types >

bool CYapfDestinationAnyDepotRailT< Types >::PfDetectDestination | ( | TileIndex | tile,
|  | Trackdir |
| ) |  |
| inline

Called by YAPF to detect if node ends in the desired destination.

Definition at line 59 of file yapf_destrail.hpp.

References IsRailDepotTile().

## ◆ Yapf()

template<class Types >

Tpf & CYapfDestinationAnyDepotRailT< Types >::Yapf | ( |  | ) |
| inline

to access inherited path finder

Definition at line 47 of file yapf_destrail.hpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_destrail.hpp